Package: org.codehaus.groovy.grails.compiler.logging

## [Java] Class LoggingTransformer

- org.codehaus.groovy.grails.compiler.logging.LoggingTransformer

- All Implemented Interfaces and Traits:
    AllArtefactClassInjector

      @AstTransformer
      public class LoggingTransformer
      extends java.lang.Object

  Adds a log method to all artifacts.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CONF_DIR` |
    `static java.lang.String` | `FILTERS_ARTEFACT_TYPE` |
    `static java.lang.String` | `LOG_PROPERTY` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static void` | `addLogField(org.codehaus.groovy.ast.ClassNode classNode, java.lang.String logName)`
    `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CONF_DIR

    - #### public static final java.lang.String FILTERS_ARTEFACT_TYPE

    - #### public static final java.lang.String LOG_PROPERTY

  - ### Method Detail

    - #### public static void addLogField(org.codehaus.groovy.ast.ClassNode classNode, java.lang.String logName)

    - #### public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public boolean shouldInject(java.net.URL url)